package com.mortals.xhx.common.code;

import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

public enum CompareTypeEnum implements IBaseEnum {
	DAY(1, "按日"),
	MONTH(2, "按月");

	private int value;
	private String desc;
	
	CompareTypeEnum(int value, String desc) {
		this.value = value;
		this.desc = desc;
	}
	
	@Override
	public int getValue() {
		return this.value;
	}

	@Override
	public String getDesc() {
		return this.desc;
	}
	
	public static Map<String,String> getEnumMap() {
        Map<String, String> resultMap= new LinkedHashMap<String, String>();
        for (CompareTypeEnum item : CompareTypeEnum.values()) {
        	resultMap.put(item.getValue() + "", item.getDesc());
        }
        return resultMap;
    }
}
